---
title: NavigatorStorage.storage
slug: Web/API/NavigatorStorage/storage
tags:
  - API
  - Navigator
  - NavigatorStorage
  - Property
  - Reference
  - Secure context
  - Storage
  - WorkerNavigator
---
<p>{{securecontext_header}}{{APIRef("Storage")}}</p>

<p><span class="seoSummary">The <code><strong>NavigatorStorage.storage</strong></code> read-only property returns the singleton {{domxref("StorageManager")}} object used to access the overall storage capabilities of the browser for the current site or app. </span>The returned object lets you examine and configure persistence of data stores and learn approximately how much more space your browser has available for local storage use.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>storageManager</em> = navigator.storage;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("StorageManager")}} object you can use to maintain persistence for stored data, as well as to determine roughly how much room there is for data to be stored.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Storage', '#navigatorstorage', 'navigator.storage')}}</td>
   <td>{{Spec2('Storage')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.NavigatorStorage.storage")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("NavigatorStorage")}}</li>
 <li>{{domxref("StorageManager")}}</li>
 <li>{{domxref("Navigator")}}</li>
 <li>{{domxref("WorkerNavigator")}}</li>
</ul>
